%define		_class		HTML
%define		_subclass	QuickForm
%define		upstream_name	%{_class}_%{_subclass}_Renderer_Tableless
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name} 
Summary:	Class that makes it easy to build console style tables
Version: 	0.6.2
Release: 	%mkrel 7
License: 	PHP
Group:		Development/PHP
URL: 		http://pear.php.net/package/%{upstream_name}
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.0
BuildArch: noarch

%description
Replacement for the default renderer of HTML_QuickForm that uses only XHTML
and
  CSS but no table tags, and generates fully valid XHTML output.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_QuickForm_Renderer_Tableless.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_QuickForm_Renderer_Tableless.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_QuickForm_Renderer_Tableless
fi

%files
%doc docs/HTML_QuickForm_Renderer_Tableless/*
%{peardir}/*
%{xmldir}/HTML_QuickForm_Renderer_Tableless.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.6.2-7.mga8
+ Revision: 1498956
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.2-6.mga7
+ Revision: 1273224
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.6.2-5.mga6
+ Revision: 938741
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 750118
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-3.mga5
+ Revision: 687278
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.6.2-2.mga4
+ Revision: 528027
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.6.2-1.mga4
+ Revision: 443220
- upgrade to version 0.6.2
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.5.3-7.mga3
+ Revision: 376237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.5.3-6.mga1
+ Revision: 47475
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_QuickForm_Renderer_Tableless


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-6mdv2011.0
+ Revision: 613676
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-5mdv2010.1
+ Revision: 477880
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.5.3-4mdv2010.0
+ Revision: 441123
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-3mdv2009.1
+ Revision: 322117
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-2mdv2009.0
+ Revision: 236876
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.5.3-1mdv2008.1
+ Revision: 136407
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdv2008.0
+ Revision: 68589
- Import php-pear-HTML_QuickForm_Renderer_Tableless



* Tue Aug 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-1mdv2008.0
- initial Mandriva package
